<?php
/*
 * Template Name: Contacts
 */

get_header(); ?>

<div id="content" class="grid_24">
  <div class="wrapper">
    <div class="three_fifth">
      <?php if ( ! dynamic_sidebar( 'Contact Form' ) ) : ?>
        <!-- Widgetized Header -->
      <?php endif ?>
      <?php wp_reset_query(); ?>
    </div>
    <div class="two_fifth last">
      <?php if ( ! dynamic_sidebar( 'Address' ) ) : ?>
        <!-- Widgetized Header -->
      <?php endif ?>
      <?php wp_reset_query(); ?>
    </div>
  </div>
  <div class="hr"></div>
  <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
    <div id="page-content">
      <?php the_content(); ?>
    </div><!--#pageContent -->
  <?php endwhile; ?>
</div><!--#content-->
<?php get_footer(); ?>
