<?php
/*
 * Template Name: About us
 */

get_header(); ?>

<div id="content">
  <div class="wrapper">
    <div class="one_third">
      <?php if ( ! dynamic_sidebar( 'Offers' ) ) : ?>
        <!-- Widgetized Header -->
      <?php endif ?>
    </div>
    <div class="two_third last">
    	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
        <article class="single-post">
        	<h1><?php the_title(); ?></h1>
					<?php echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; ?> <!-- loades the post's featured thumbnail, requires Wordpress 3.0+ -->
      
          <div id="page-content">
            <?php the_content(); ?>
          </div><!--#pageContent -->
        </article>
      <?php endwhile; ?>
    </div>
  </div>
</div><!--#content-->
<?php get_footer(); ?>
