<?php
/*
 * Template Name: Services
 */

get_header(); ?>

<div id="content">
  <div class="wrapper">
    <div class="one_third">
      <?php if ( ! dynamic_sidebar( 'Services' ) ) : ?>
        <!-- Widgetized Header -->
      <?php endif ?>
    </div>
    <div class="two_third last">
      <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
        <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; ?> <!-- loades the post's featured thumbnail, requires Wordpress 3.0+ -->
  
        <div id="page-content">
          <?php the_content(); ?>
        </div><!--#pageContent -->
      <?php endwhile; ?>
    </div>
  </div>
</div><!--#content-->
<?php get_footer(); ?>
